CVE-2018-12641

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in arm_pt in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.30. Stack Exhaustion occurs in the C++ demangling functions provided by libiberty, and there are recursive stack frames: demangle_arm_hp_template, demangle_class_name, demangle_fund_type, do_type, do_arg, demangle_args, and demangle_nested_args. This can occur during execution of nm-new.

References

https://access.redhat.com/errata/RHSA-2019:2075

https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1763099

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85452

https://security.gentoo.org/glsa/201908-01

https://sourceware.org/bugzilla/show_bug.cgi?id=23058

Details

Source: MITRE

Published: 2018-06-22

Updated: 2019-10-03

Type: CWE-400

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:binutils:2.30:*:*:*:*:*:*:*

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
151919Ubuntu 16.04 LTS : GNU binutils vulnerabilities (USN-4336-2)NessusUbuntu Local Security Checks
critical
135966Ubuntu 18.04 LTS : GNU binutils vulnerabilities (USN-4336-1)NessusUbuntu Local Security Checks
critical
135398Ubuntu 16.04 LTS / 18.04 LTS : libiberty vulnerabilities (USN-4326-1)NessusUbuntu Local Security Checks
high
132443NewStart CGSL CORE 5.05 / MAIN 5.05 : binutils Multiple Vulnerabilities (NS-SA-2019-0228)NessusNewStart CGSL Local Security Checks
high
131026Amazon Linux 2 : binutils (ALAS-2019-1358)NessusAmazon Linux Local Security Checks
high
129883NewStart CGSL CORE 5.04 / MAIN 5.04 : binutils Multiple Vulnerabilities (NS-SA-2019-0187)NessusNewStart CGSL Local Security Checks
high
128943EulerOS Virtualization for ARM 64 3.0.2.0 : binutils (EulerOS-SA-2019-1940)NessusHuawei Local Security Checks
critical
128346CentOS 7 : binutils (CESA-2019:2075)NessusCentOS Local Security Checks
high
128209Scientific Linux Security Update : binutils on SL7.x x86_64 (20190806)NessusScientific Linux Local Security Checks
high
127665RHEL 7 : binutils (RHSA-2019:2075)NessusRed Hat Local Security Checks
high
127559GLSA-201908-01 : Binutils: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical